package com.yifu.cloud.plus.v1.yifu.common.core.exception;

/**
 * 错误编码
 *
 * @author lengleng
 * @date 2022/3/30
 */
public interface ErrorCodes {

	/**
	 * 系统编码错误
	 */
	String SYS_PARAM_CONFIG_ERROR = "sys.param.config.error";

	/**
	 * 系统内置参数不能删除
	 */
	String SYS_PARAM_DELETE_SYSTEM = "sys.param.delete.system";

	/**
	 * 用户已存在
	 */
	String SYS_USER_USERNAME_EXISTING = "sys.user.username.existing";

	/**
	 * 用户原密码错误，修改失败
	 */
	String SYS_USER_UPDATE_PASSWORDERROR = "sys.user.update.passwordError";

	/**
	 * 用户信息为空
	 */
	String SYS_USER_USERINFO_EMPTY = "sys.user.userInfo.empty";

	/**
	 * 获取当前用户信息失败
	 */
	String SYS_USER_QUERY_ERROR = "sys.user.query.error";

	/**
	 * 部门名称不存在
	 */
	String SYS_DEPT_DEPTNAME_INEXISTENCE = "sys.dept.deptName.inexistence";

	/**
	 * 岗位名称不存在
	 */
	String SYS_POST_POSTNAME_INEXISTENCE = "sys.post.postName.inexistence";

	/**
	 * 岗位名称或编码已经存在
	 */
	String SYS_POST_NAMEORCODE_EXISTING = "sys.post.nameOrCode.existing";

	/**
	 * 角色名称不存在
	 */
	String SYS_ROLE_ROLENAME_INEXISTENCE = "sys.role.roleName.inexistence";

	/**
	 * 角色名或角色编码已经存在
	 */
	String SYS_ROLE_NAMEORCODE_EXISTING = "sys.role.nameOrCode.existing";

	/**
	 * 系统内置菜单不允许删除
	 */
	String SYS_MENU_DELETE_SYSTEM = "sys.menu.delete.system";

	/**
	 * 菜单上级菜单不可为数据权限配置类菜单
	 */
	String SYS_MENU_ADD_PARENT_ERROR = "sys.menu.add.parent.error";

	/**
	 * 菜单存在下级节点 删除失败
	 */
	String SYS_MENU_DELETE_EXISTING = "sys.menu.delete.existing";

	/**
	 * 系统内置字典不允许删除
	 */
	String SYS_DICT_DELETE_SYSTEM = "sys.dict.delete.system";

	/**
	 * 系统内置字典不能修改
	 */
	String SYS_DICT_UPDATE_SYSTEM = "sys.dict.update.system";

	/**
	 * 验证码发送频繁
	 */
	String SYS_APP_SMS_OFTEN = "sys.app.sms.often";

	/**
	 * 手机号未注册
	 */
	String SYS_APP_PHONE_UNREGISTERED = "sys.app.phone.unregistered";

	/**
	 * 字典存在下级节点 删除失败
	 */
	String SYS_DICT_DELETE_EXISTING = "sys.dict.delete.existing";

	/**
	 * 系统内置角色不允许删除
	 */
	String SYS_ROLE_DELETE_SYSTEM = "sys.role.delete.system";

	/**
	 * 该角色下还有关联的用户，请先将用户转移到其他角色!
	 */
	String SYS_ROLE_DELETE_EXIST_USER = "sys.role.delete.existing.user";

	/**
	 * 系统内置角色不能修改
	 */
	String SYS_ROLE_UPDATE_SYSTEM = "sys.role.update.system";

	/**
	 * 系统内置用户不允许删除
	 */
	String SYS_USER_DELETE_SYSTEM = "sys.user.delete.system";

	/**
	 * 系统内置用户不允许修改
	 */
	String SYS_USER_UPDATE_SYSTEM = "sys.user.update.system";

	/**
	 * 已存在对应标识的角色
	 */
	String SYS_ROLE_UPDATE_ERROR_CODE_EXIST= "sys.role.update.error.code.exist";
	/**
	 * 已存在对应名称的菜单
	 */
	String SYS_MENU_ADD_NAME_EXIST = "sys_menu_add_name_exist";

	/**
	 * 已存在对应名称的角色
	 */
	String SYS_ROLE_UPDATE_ERROR_NAME_EXIST ="sys.role.update.error.name.exist";

	/**
	 * 已存在对应编码的字典
	 */
	String SYS_DICT_ADD_TYPE_EXISTS = "sys.dict.add.type.exist";

	/**
	 * 已存在对应值的字典项
	 */
	String SYS_DICT_ITEM_ADD_VALUE_EXIST = "sys.dict.item.add.value.exist";
	/**
	 * 存在下级字典，禁止删除
	 */
	String SYS_DICT_DELETE_EXIST_CHILD = "sys.dict.delete.exist.child";

	/**
	 * 存在下级字典项值，禁止删除
	 */
	String SYS_DICT_ITEM_DELETE_EXIST_CHILD = "sys.dict.item.delete.exist.child";

	/**
	 * 已存在对应伤残病名称的数据
	 */
    String ARCHIVES_EMP_DISABILITY_NAME_EXISTING = "archives.emp.disability.name.existing";

	/**
	 * 已存在对应身份证的家庭成员信息
	 */
	String ARCHIVES_EMP_FAMILY_NAME_EXISTING = "archives.emp.family.name.existing";

	/**
	 * 无对应身份证的员工信息
	 */
	String ARCHIVES_EMP_NOT_EXIST = "archives.emp.not.exist";

	/**
	 * 员工已减档
	 */
	String ARCHIVES_EMP_REDUCED = "archives.emp.reduced";
	/**
	 * 已存在对应身份证的工作记录信息
	 */
	String ARCHIVES_EMP_WORK_RECORD_EXISTING = "archives.emp.work.record.existing";

	/**
	 * 已存在该员工对应学历名称的学历信息
	 */
	String ARCHIVES_EMP_EDUCATION_EXISTING = "archives.emp.education.existing";
	/**
	 * 参数不可为空
	 */
	String PARAM_NOT_EMPTY = "param.not.empty";
	/**
	 * 校验请求异常
	 */
	String CHECKS_MOBILE_REQUEST_ERROR = "checks.mobile.request.error";
	/**
	 * 单次号码状态校验请求上限100
	 */
	String CHECKS_MOBILE_REQUEST_LIMIT_HUNDRED = "checks.mobile.request.limit.hundred";
	/**
	 * 银行卡号校验传参有误：姓名、身份证号、银行卡号 必填
	 */
	String CHECKS_BANK_NO_REQUEST_PARAM_ERROR = "checks.bank.no.request.param.error";
	/**
	 * 存在已减档的档案和已减项的项目，禁止导入
	 */
	String CHECKS_EMP_PROJECT_ERROR = "checks.emp.project.error";
	/**
	 * 存在已减档的档案，禁止导入
	 */
	String CHECKS_REDUCE_EMP_ERROR = "checks.reduce.emp.error";
	/**
	 * 存在已减项的项目，禁止导入
	 */
	String CHECKS_REDUCE_PROJECT_ERROR = "checks.reduce.project.error";
	/**
	 * 人员不在该项目，无法更新
	 */
	String CHECKS_EMP_EXIT_ERROR = "checks.emp.exit.error";

	// 该人员已存在，禁止重复添加
	String ARCHIVES_IMPORT_EMP_IDCARD_EXISTING = "archives.import.emp.idCard.existing";

	// 该人员已减档，禁止导入
	String ARCHIVES_IMPORT_EMP_IDCARD_LEAVE_EXISTING = "archives.import.emp.idCard.leave.existing";

	// 手机号校验错误
	String ARCHIVES_IMPORT_EMP_PHONE_CHECK_ERROR = "archives.import.emp.phone.check.error";

	// 手机号已被其他身份证使用
	String ARCHIVES_IMPORT_EMP_PHONE_EXIST_ERROR = "archives.import.emp.phone.exist.error";
	// 婚姻状况在字典中未找到
	String ARCHIVES_IMPORT_EMP_MARRIED_ERROR = "archives.import.emp.married.error";
	// 民族在字典中未找到
	String ARCHIVES_IMPORT_EMP_NATIONAL_ERROR = "archives.import.emp.national.error";
	// 政治面貌在字典中未找到
	String ARCHIVES_IMPORT_EMP_POLITICAL_ERROR = "archives.import.emp.political.error";
	// 户口性质在字典中未找到
	String ARCHIVES_IMPORT_EMP_REGISTYPE_ERROR = "archives.import.emp.registype.error";
	// 最高学历在字典中未找到
	String ARCHIVES_IMPORT_EMP_EDUCATION_ERROR = "archives.import.emp.education.error";
	// 员工类型在字典中未找到
	String ARCHIVES_IMPORT_EMP_NATRUE_ERROR = "archives.import.emp.natrue.error";
	// 户籍所在地未找到区域
	String ARCHIVES_IMPORT_EMP_AREA_ERROR = "archives.import.emp.area.error";
	// 档案所在地未找到区域
	String ARCHIVES_IMPORT_EMP_FILE_AREA_ERROR = "archives.import.emp.file.area.error";
	// 大专及以上，最高学历必填
	String ARCHIVES_IMPORT_EMP_HIGH_EDUCATION_ERROR = "archives.import.emp.high.education.error";
	// 根据身份证未找到人员档案信息
	String ARCHIVES_IMPORT_EMP_NOT_EXISTS = "archives.import.emp.not.exists";
	// 身份证必填
	String ARCHIVES_IMPORT_EMP_IDCARD_MUST = "archives.import.emp.idCard.must";
	// 减档原因必填
	String ARCHIVES_IMPORT_EMP_LEAVEREASON_MUST = "archives.import.emp.leaveReason.must";

	/**
	 * 项目档案状态为已审核，禁止删除
	 */
	String CHECKS_PROJECT_DELETE_ERROR = "checks.project.delete.error";

	/**
	 * 已存在对应身份证的证书信息
	 */
	String ARCHIVES_EMP_CERTIFICATE_NAME_EXISTING = "archives.emp.certificate.name.existing";
	/**
	 * 待划转员工已在目标项目下不可划转
	 */
	String CHECKS_CHANGE_EMP_PROJECT = "checks.change.emp.project";
	/**
	 * 导入的文件格式不正确
	 */
	String IMPORT_FILE_TYPE_ERROR = "import.file.type.error";
	/**
	 * 申请年份不可为未来年份
	 */
	String ARCHIVES_EMP_CERTIFICATE_DECLARE_YEAR_ERROR = "archives.emp.certificate.declare.year.error";
	/**
	 * 对应项目编码无项目档案信息，请核实后导入
	 */
	String ARCHIVES_PROJECT_EMP_NOT_EXIST = "archives.project.emp.not.exist";
	/**
	 * 人员在该项目下存在进行中/未完结的服务
	 */
	String ARCHIVES_PROJECT_CHANGE_NOT_EXIST = "archives.project.change.not.exist";
	/**
	 * 不良记录费用损失和其他损失不可同时为空
	 */
	String ARCHIVES_PROJECT_EMP_LOSE_FEE_NOT_EMPTY = "archives.project.emp.lose.fee.not.empty";
}
